/* Fix for bootstrap width offset */
.row {
    margin-left: 0
    }
/* Fix for alignment of all cells and producs
-----------------------------------------------------------------------------*/
.category-view .floatleft, .browse-view .floatleft, .category-view .floatright, .browse-view .floatright, .productdetails-view .floatright, .productdetails-view .floatleft {
    margin: 0 !important;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box
    }
.category-view .row, .browse-view .row {
    background: transparent !important;
    border: none !important;
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    --moz-box-shadow: none !important;
    padding: 0 !important
    }
.vmproduct li {
    list-style-type: none
    }
/*  Category and browse views, separators and alignment corrections
-----------------------------------------------------------------------------*/
.product-fields .product-field, .product-related-categories .product-field {
    border-bottom: 1px solid #eee;
    padding-bottom: 3px;
    margin-bottom: 3px
    }
.browse-view .product .spacer {
    padding: 10px 0
    }
.browse-view .product .spacer > div {
    width: 100%
    }
.width30.center {
    text-align: center
    }
.width30.center a {
    display: block
    }
/*  Home Page
-----------------------------------------------------------------------------*/
.featured-view h4, .latest-view h4, .topten-view h4 {
    margin: 10px 0
    }
/* Reset VM rules for approx bootstrap spans 
-----------------------------------------------------------------------------*/
.row-fluid .width70 {
    width: 74.16388% !important
    }
.row-fluid .width30 {
    width: 22.491639% !important
    }
.row-fluid .width60 {
    width: 56.545064% !important
    }
.row-fluid .width40 {
    width: 39.16309% !important
    }
.row-fluid .width33, .product.width33 {
    width: 31.103679%;
    margin: 0
    }
.width50 {
    margin: 0
    }
.product.width33 {
    margin-right: 2%
    }
/* Reset widths above to 100% on smallish screens
-----------------------------------------------------------------------------*/
@media (max-width: 767px) {
    .row-fluid .width30, .row-fluid .width40, .row-fluid .width60, .row-fluid .width70, .row-fluid .width33 {
        width: 100% !important
        }
    }
/* Fix VM Modal Button
-----------------------------------------------------------------------------*/
.productdetails .modal, .product .modal {
    position: relative;
    top: auto;
    left: auto;
    z-index: 1050;
    width: auto;
    margin-left: 0;
    background-color: none;
    border: 0;
    border: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding-box;
    background-clip: padding-box;
    outline: none
    }
/* Fix for mailto button modal
-----------------------------------------------------------------------------*/
@media (max-width: 767px) {
    .modal {
        position: relative !important;
        background: none;
        border: 0;
        box-shadow: none
        }
    }
/* Cart Page
-----------------------------------------------------------------------------*/
table.cart-summary {
    margin-bottom: 40px
    }
table.cart-summary td {
    vertical-align: middle;
    padding: 10px 0;
    border-bottom: 1px dotted #eee;
    margin-bottom: 30px
    }
.customer-comment {
    padding-bottom: 15px
    }
textarea.customer-comment {
    float: left;
    width: 100%;
    min-height: 150px;
    margin-bottom: 20px
    }
/* VM Spans and some typography adjustments  */
span.title {
    padding-bottom: 10px
    }
/* Number of items above select */
.display-number {
    font-size: 85%;
    font-style: italic
    }
.display-number select.inputbox {
    margin-top: 10px;
    width: auto
    }
.orderlistcontainer .title {
    margin-bottom: 10px
    }
/* Character count write reviews */
.write-reviews input.vm-default {
    width: 40px;
    margin-top: 8px
    }
/* Character count write reviews */
span.step {
    padding: 10px 0 20px
    }
textarea#comment.virtuemart {
    width: 100%
    }
/* Bill to */
.output-billto {
    padding: 30px 0 0 10px;
    min-height: 100px
    }
.output-billto span {
    padding: 4px 0;
    font-size: 90%
    }
/* Ship to */
.output-shipto {
    padding: 10px;
    min-height: 100px;
    font-size: 90%
    }
/* Continue Shopping*/
a.continue_link span:after {
    font-family: "FontAwesome" !important;
    content: "";
    margin-left: 10px
    }
/* Images on cart page */
input.quantity-input {
    float: left;
    margin-left: 20%
    }
input.vmicon.vm2-add_quantity_cart {
    float: left;
    margin-left: 10px;
    margin-top: 4px;
    width: 24px
    }
a.vm2-remove_from_cart {
    float: left;
    margin-top: 4px
    }
/* Terms of service */
a#terms-of-service {
    font-size: 90%;
    margin-bottom: 15px
    }
/* Checkout Page
-----------------------------------------------------------------------------*/
#com-form-login {
    margin-bottom: 30px
    }
#com-form-login .width30 {
    width: 30% !important;
    margin-right: 2%;
    margin-bottom: 0
    }
#com-form-login input {
    width: 90%
    }
#com-form-login input#remember {
    width: auto;
    margin-top: 4px;
    float: left;
    margin-right: 4px
    }
#com-form-login label {
    display: inline;
    font-size: 90%
    }
#com-form-login input.default {
    margin-bottom: 20px;
    padding: 5px
    }
#userForm .control-buttons {
    padding-bottom: 30px
    }
#userForm button {
    margin-top: 20px
    }
#userForm td {
    padding: 10px 0;
    border-bottom: 1px dotted #eee
    }
#userForm label {
    line-height: 1em
    }
#userForm table {
    width: 100%
    }
#userForm td.key {
    width: 40%
    }
#userForm input {
    width: 100%
    }
/* Product Page
-----------------------------------------------------------------------------*/
/* Product Description */
.product-description {
    padding-bottom: 15px
    }
.productdetails .product-short-description {
    margin-bottom: 30px
    }
/* Box Around add to cart etc */
.productdetails .spacer-buy-area {
    padding: 0
    }
.productdetails span.vote {
    padding-bottom: 20px;
    font-size: 90%;
    display: block
    }
.addtocart-bar {
    padding-left: 0 !important
    }
.quantity-box input {
    margin-right: 20px
    }
span.addtocart-button {
    float: right
    }
.customer-reviews h4, .product-description span.title {
    border-bottom: 1px solid #eee
    }
span.quantity-controls input {
    background: url(../images/quantity-controls.png) repeat-x !important;
    margin-left: 12px
    }
span.quantity-controls input.quantity-minus {
    background-position: 15px 0 !important
    }
span.quantity-controls input.quantity-plus {
    background-position: 0 0 !important
    }
span.quantity-controls input.quantity-minus:hover {
    background-position: 15px -16px !important
    }
span.quantity-controls input.quantity-plus:hover {
    background-position: 0 -16px !important
    }
/* Add to cart popup
-----------------------------------------------------------------------------*/
.popup .content {
    padding: 20px !important
    }
.popup .content div div {
    margin: 20px 0
    }
/* Ask Form
-----------------------------------------------------------------------------*/
#askform textarea {
    width: 96%
    }
#askform input#email {
    width: 98%;
    margin-left: 0
    }
#askform input#counter {
    width: 40px
    }
#askform .submit {
    width: 100%
    }
.body-overlayed #sbox-window {
    padding-bottom: 20px
    }
.body-overlayed iframe {
    height: 100%;
    width: 100%
    }
.ask-a-question-view, .manufacturer-details-view {
    background-color: #fff
    }
/* Modules
-----------------------------------------------------------------------------*/
/*  Product Module */
.vmproduct li.floatleft {
    text-align: center;
    border: 0 !important
    }
/*  Category Module */
.VMmenu ul {
    margin-top: 10px !important
    }
.VMmenu li li {
    text-indent: 20px
    }
.VMmenu li:last-child {
    border-bottom: 0 !important
    }
.VMmenu li:first-child {
    border-top: 0 !important
    }
/* Cart Module
-----------------------------------------------------------------------------*/
#vmCartModule {
    margin-left: 30px
    }
#vmCartModule:before {
    font-family: "FontAwesome";
    content: "";
    position: absolute;
    margin: 0 0 0 -30px;
    font-size: 1.5em;
    color: #999
    }
#vmCartModule .total {
    margin-bottom: 10px
    }
#vmCartModule .show_cart {
    float: right;
    width: 100%;
    padding-bottom: 8px
    }
/* Optional Button code - Comment the following if your template includes styling for VM buttons.

Because VM at this stage does not use the core Bootstrap .btn markup we need to do this manually.
-----------------------------------------------------------------------------*/
/*  Appl;y some defaults */
span.addtocart-button input.addtocart-button, span.addtocart-button input.notify-button, .vm-button-correct, .vm-button-correct:hover, .vm-button-correct:visited, p#com-form-login-remember input.default, .cart-view input.button, #vmCartModule .show_cart a {
    background: #eee;
    color: #333;
    border: 1px solid #ddd;
    border-radius: 4px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    font-size: 14px;
    cursor: pointer;
    text-align: center;
    letter-spacing: 1px;
    padding: 4px 5px
    }
/*  Button states */
a.product-details, span.addtocart-button input.addtocart-button, span.addtocart-button input.notify-button, .vm-button-correct, .vm-button-correct:hover, .vm-button-correct:visited, .back-to-category a.product-details, p#com-form-login-remember input.default, .billto-shipto a.details, .cart-view .vm-button-correct, .cart-view .vm-button-correct:visited, .cart-view input.button, #vmCartModule .show_cart a, input.highlight-button {
    color: #fff;
    background-position: 0 0;
    background-color: #316e88;
    background-image: linear-gradient(to bottom, #39809E, #255266);
    background-repeat: repeat-x;
    border-color: #255266 #255266 #10252e;
    border-color: rgba(0, 0, 0, 0.15) rgba(0, 0, 0, 0.15) rgba(0, 0, 0, 0.25);
    color: #fff;
    background-image: linear-gradient(to bottom, #39809E, #255266)
    }
/*  Button Hover state */
a.product-details:hover, .back-to-category a:hover, span.addtocart-button input.addtocart-button:hover, span.addtocart-button input.notify-button:hover, .cart-view .vm-button-correct:hover, .cart-view .vm-button-correct:hover, p#com-form-login-remember input:hover, .cart-view input.button:hover, #vmCartModule .show_cart a:hover, a.details:hover, input.highlight-button:hover {
    color: #fff;
    background-color: #39809e;
    background-image: linear-gradient(to bottom, #39809E, #39809E);
    background-repeat: repeat-x;
    border-color: #39809E #39809E #255266;
    background-image: linear-gradient(to bottom, #39809E, #39809E)
    }
/*  Add to cart button icon */
span.addtocart-button:before {
    font-family: "FontAwesome" !important;
    content: "";
    position: absolute;
    margin: 9px 0 0 15px;
    font-size: 1.5em;
    color: #fff
    }
/*  Back to category button */
.back-to-category:before {
    margin-left: 0;
    position: absolute;
    color: #fff;
    margin-top: 7px;
    margin-left: 7px
    }
/*  Back to category link */
.back-to-category a {
    padding-left: 20px;
    line-height: 1.3
    }
/*  Icon on back to category */
.back-to-category:before {
    font-family: "FontAwesome" !important;
    content: "";
    font-size: 90%
    }
/*  Login Form button */
p#com-form-login-remember input.default {
    padding: 0;
    height: 30px
    }
/*  Bill to Ship to Buttons */
.billto-shipto a.details {
    padding: 4px 8px
    }
/* Checkout Button */
.cart-view .vm-button-correct, .cart-view .vm-button-correct:visited {
    font-size: 14px;
    cursor: pointer;
    height: 34px;
    line-height: 34px;
    text-align: center;
    text-indent: 25px;
    letter-spacing: 1px;
    padding: 4px 20px
    }
/*  Cart icon on checkout button */
.cart-view .vm-button-correct :before {
    font-family: "FontAwesome" !important;
    content: "";
    position: absolute;
    margin: 2px 0 0 -55px;
    font-size: 1.5em;
    color: #fff
    }
/*  Cart item adjustment */
.cart-view input.button {
    float: right;
    height: 24px;
    padding: 0 8px;
    line-height: 1
    }
/*  Adjustment for show cart link in module */
#vmCartModule .show_cart a {
    height: 13px;
    font-size: 90%
    }